Bug 36957 - sndconfig's changes to modules.conf are overwritten during boot
sndconfig's changes to modules.conf are overwritten during boot
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: sndconfig (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-04-20 22:13 EDT by Thomas K Hemmick
Modified: 2014-03-16 22:20 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-21 17:19:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Thomas K Hemmick 2001-04-20 22:13:36 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.76 [en] (X11; U; Linux 2.4.2-2 i586)


This trouble is not specific to sndconfig.  sndconfig changes modules.conf
so that my sound card is correctly working.  I tried depmod as suggested in
26629 and it finished without error leaving a modules.dep which WAS indeed
more recent than modules.conf.  However during reboot modules.conf is
overwritten producing both the complaint that it is more recent than
modules.dep (which is not overwritten) _AND_ the trouble that the fixes
introduced by sndconfig are lost (it reverts to the previous version).

I suspect that modules.conf is not the primary repository for this info and
that is why its overwritten.  In that case, sndconfig should change the
primary location.  Can you tell me the primary location?  Thanks!

PS--The sound card which was recognized correctly in previous versions is
an ensoniq VIVO90.  This should have a MIDI IRQ of 9 (not 5 as originally
assigned) and a dma of 1 (not 0 as originally assigned).

Reproducible: Always
Steps to Reproduce:
1. sndconfig -- requires manual settings to work
2. depmod -a --seems to produce a new modules.dep
3.  reboot
	

Actual Results:  modules.conf was overwritten to return the sound card
settings to the original.
A "NOTE:" is asserted during boot complaining that modules.conf is more
recent than modules.dep (despite the fact that it was older before reboot).

Expected Results:  clean reboot with no change to modules.conf
Comment 1 Bill Nottingham 2001-04-22 01:50:36 EDT
sndconfig is what's rewriting it. What does your /proc/isapnp look like?
Comment 2 Thomas K Hemmick 2001-04-22 08:58:04 EDT
Here is the content of my /proc/isapnp

*******Start:

Card 1 'ENS4081:ENSONIQ SoundscapeVIVO' PnP version 1.0
  Logical device 0 'ENS1011:Unknown'
    Device is active
    Active port 0x330,0x530,0x2100
    Active IRQ 5 [0x2],9 [0x2]
    Active DMA 1,3
    Resources 0
      Priority preferred
      Port 0x330-0x330, align 0xf, size 0x10, 16-bit address decoding
      Port 0x530-0x530, align 0xf, size 0x8, 16-bit address decoding
      Port 0x2100-0xd040, align 0x3f, size 0x40, 16-bit address decoding
      IRQ 5,7 High-Edge
      IRQ 2/9 High-Edge
      DMA 1 8-bit byte-count compatible
      DMA 0,3 8-bit byte-count compatible
      Alternate resources 0:1
        Priority preferred
        Port 0x330-0x330, align 0xf, size 0x10, 16-bit address decoding
        Port 0xe80-0xe80, align 0xf, size 0x8, 16-bit address decoding
        Port 0x2100-0xd040, align 0x3f, size 0x40, 16-bit address decoding
        IRQ 5,7 High-Edge
        IRQ 2/9 High-Edge
        DMA 1 8-bit byte-count compatible
        DMA 0,3 8-bit byte-count compatible
      Alternate resources 0:2
        Priority functional
        Port 0x320-0x350, align 0xf, size 0x10, 16-bit address decoding
        Port 0x530-0x530, align 0xf, size 0x8, 16-bit address decoding
        Port 0x2100-0xd040, align 0x3f, size 0x40, 16-bit address decoding
        IRQ 5,7,2/9 High-Edge
        IRQ 7,2/9,10,11,15 High-Edge
        DMA 1,3 8-bit byte-count compatible
        DMA 0,3 8-bit byte-count compatible
      Alternate resources 0:3
        Priority functional
        Port 0x320-0x350, align 0xf, size 0x10, 16-bit address decoding
        Port 0x530-0x530, align 0xf, size 0x8, 16-bit address decoding
        Port 0x2100-0xd040, align 0x3f, size 0x40, 16-bit address decoding
        IRQ 5,7,2/9,10,11,15 High-Edge
        IRQ 7,2/9,10,11,15 High-Edge
        DMA 0,1,3 8-bit byte-count compatible
      Alternate resources 0:4
        Priority functional
        Port 0x320-0x350, align 0xf, size 0x10, 16-bit address decoding
        Port 0xe80-0xe80, align 0xf, size 0x8, 16-bit address decoding
        Port 0x2100-0xd040, align 0x3f, size 0x40, 16-bit address decoding
        IRQ 5,7,2/9,10,11,15 High-Edge
        IRQ 7,2/9,10,11,15 High-Edge
        DMA 0,1,3 8-bit byte-count compatible
  Logical device 1 'ENS2020:Unknown'
    Compatible device PNPb02f
    Device is not active
    Active port 0x200
    Resources 0
      Priority preferred
      Port 0x200-0x200, align 0x7, size 0x8, 16-bit address decoding


*******  End
Comment 3 Thomas K Hemmick 2001-04-22 09:14:29 EDT
FYI:

Here is the "correct" modules.conf

******* Start:

alias scsi_hostadapter advansys
alias parport_lowlevel parport_pc
alias usb-controller usb-uhci
alias sound-slot-0 ad1848
post-install sound-slot-0 /bin/aumix-minimal -f /etc/.aumixrc -L >/dev/null 2>&1
|| :
pre-remove sound-slot-0 /bin/aumix-minimal -f /etc/.aumixrc -S >/dev/null 2>&1 || :
options sound dmabuf=1
alias midi mpu401
options mpu401 io=0x330 irq=9
options ad1848 io=0x530 irq=5 dma=1 dma2=0

***** End

Here is what /etc/modules.conf looks like after reboot:

******* Start

alias scsi_hostadapter advansys
alias parport_lowlevel parport_pc
alias usb-controller usb-uhci
alias sound-slot-0 ad1848
post-install sound-slot-0 /bin/aumix-minimal -f /etc/.aumixrc -L >/dev/null 2>&1
|| :
pre-remove sound-slot-0 /bin/aumix-minimal -f /etc/.aumixrc -S >/dev/null 2>&1 || :
options sound dmabuf=1
alias midi mpu401
options mpu401 io=0x330 irq=5
options ad1848 io=0x530 irq=5 dma=0 dma2=0

******* End

Notice that the mpu401 irq is changed from 9 (correct) to 5 (incorrect)
Notice that the ad1848 dma is changed from 1 (correct) to 0 (incorrect)
Comment 4 Bill Nottingham 2005-01-21 17:19:37 EST
sndconfig is no longer developed, and this release has reached end-of-life.
Closing out old bugs.

Note You need to log in before you can comment on or make changes to this bug.